%define pfver 0.26rc6

%define usefhs22b	0
%define dist	%((rpm -q redhat-release > /dev/null 2>&1 && echo rh) || (rpm -q OpenLinux > /dev/null 2>&1 && echo col))

%if %{usefhs22b}
 %define webcontentdir  /data/httpd/
 %define initfcnloc     /etc/rc.d/init.d/functions
 %define manbasedirloc  /usr/share
%else

 %if %([ x%{dist} = xrh ] && echo 1 || echo 0)
  %define distro	rh%(rpm -q redhat-release | awk -F- '{print $3}'| awk -F. '{print $1}')
 %elseif %([ x%{dist} = xcol ] && echo 1 || echo 0)
  %define distro	col%(rpm -q OpenLinux | awk -F- '{print $2}'| awk -F. '{print $1}')
 %endif

 %if %([ x%{distro} = xrh7 ] && echo 1 || echo 0)
  %define webcontentdir  /var/www
  %define initfcnloc     /etc/init.d/functions
 %elseif %([ x%{distro} = xrh6 ] && echo 1 || echo 0)
  %define webcontentdir  /home/httpd/html
  %define initfcnloc     /etc/rc.d/init.d/functions
 %elseif %([ x%{distro} = xcol3 ] && echo 1 || echo 0)
  %define webcontentdir	/home/httpd/html
  %define initfcnloc	/etc/rc.d/init.d/functions
 %endif

%endif

%define _rpmfilename	%%{ARCH}/%%{NAME}-%%{VERSION}-%%{RELEASE}%{distro}.%%{ARCH}.rpm

Summary: A port forwarder that works with IPChains and IPFWADM.
Name:    portfwd
Version: %{pfver}
Release: 1
Group:   Networking/Daemons
License: GPL
Source0: http://download.sourceforge.net/portfwd/portfwd-%{pfver}.tar.gz
Source1: portfwd-init
BuildRoot: %{_tmppath}/%{name}-%{version}-root

%description
PortFwd, by Everton da Silva Marques, is a small C++ user-space
utility which forwards incoming TCP connections and/or UDP packets to
remote hosts. Features:

 o forwarding based on originator port 
 o multiple ports forwarded from one config file
 o FTP forwarding, which requires two ports.

Check the home page http://nucleo.freeservers.com/portfwd for full
details and features.  The sourceforge project page is located at
http://sourceforge.net/projects/portfwd .

%prep
echo %dist %distro 
%setup -q -n %{name}-%{version}

%build
./configure
make

#dumbed down for RPM306 from COL31.
%install
[ $RPM_BUILD_ROOT != / ] && rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%{_sbindir} $RPM_BUILD_ROOT/etc $RPM_BUILD_ROOT%{_mandir}/man5 $RPM_BUILD_ROOT%{_mandir}/man8 $RPM_BUILD_ROOT/etc/rc.d/init.d
install -o root -g root -m 0700 src/portfwd       $RPM_BUILD_ROOT%{_sbindir}/portfwd
install -o root -g root -m 0700 cfg/empty.cfg     $RPM_BUILD_ROOT/etc/portfwd.cfg
install -m644 $RPM_SOURCE_DIR/portfwd-init        $RPM_BUILD_ROOT/etc/rc.d/init.d/portfwd
install -o root -g root -m 0700 doc/portfwd.8     $RPM_BUILD_ROOT%{_mandir}/man8/portfwd.8
install -o root -g root -m 0700 doc/portfwd.cfg.5 $RPM_BUILD_ROOT%{_mandir}/man5/portfwd.cfg.5

%clean
[ $RPM_BUILD_ROOT != / ] && rm -rf $RPM_BUILD_ROOT

%post
/sbin/chkconfig --add portfwd
echo "  Please edit /etc/portfwd.cfg. Check /usr/doc/%{name}-%{version}/cfg for hints."

%preun
if [ $1 = 0 ]; then
   /etc/rc.d/init.d/portfwd stop > /dev/null 2>&1
   /sbin/chkconfig --del portfwd
fi

# portfwd does not support condrestart
#%postun
#/etc/rc.d/init.d/portfwd condrestart > /dev/null 2>&1 || :

%files
%defattr(-,root,root)
%config /etc/portfwd.cfg
%{_sbindir}/portfwd
%{_mandir}/man5/portfwd.cfg.5*
%{_mandir}/man8/portfwd.8*
%attr(0755,root,root) /etc/rc.d/init.d/portfwd
%doc COPYING  CREDITS README TODO cfg/*.cfg doc/FAQ doc/conf.txt

%changelog
* Thu Sep 18 2003 Milan Kerslager <kerslage@linux.cz> 0.26rc6-1
- updated to 0.26rc6, build for RH 7.3

* Fri Sep 21 2001 Bishop Clark (LC957) <bishop@platypus.bc.ca>
- new RPM for the 0.22 distro
- building for COL3, RH6, RH7

* Mon Apr 16 2001 Bishop Clark (LC957) <bishop@platypus.bc.ca>
- new RPM, for 0.19 distro
- found the missing FAQ
- include man pages in RPM

* Mon Jan 08 2001 Bishop Clark (LC957) <bishop@platypus.bc.ca>
- new RPM, for 0.17 distro

* Tue Dec 19 2000 Bishop Clark (LC957) <bishop@platypus.bc.ca>
- another quick RPM for the 0.16 distro

* Sat Oct 21 2000 Bishop Clark (LC957) <bishop@platypus.bc.ca>
- Quick RPM for 0.14 distro.  

* Wed Jun 28 2000 Bishop Clark (LC957) <bishop@platypus.bc.ca>
- Quick RPM for 0.13 distro.  

* Fri Jun 16 2000 Bishop Clark (LC957) <bishop@platypus.bc.ca>
- Fixed a minor error in init script.  oops.
- Everton noticed the FAQ wasn't in the binary RPM.  Should be, now.

* Wed Jun 14 2000 Bishop Clark (LC957) <bishop@platypus.bc.ca>
- Grabbed 0.12.0 and started working with that.
- fixed minor problem (grr) in init script.  Works now.
- added note to edit config file.

* Tue Jun 6 2000 Bishop Clark (LC957) <bishop@platypus.bc.ca>
- adding an Init script into the mix.  Not working yet.

* Tue May 10 2000 Bishop Clark (LC957) <bishop@platypus.bc.ca>
- got the init scripts built and maybe working.  That was too easy,
  he said nervously.
- picked up .10 and started working with that.

* Mon May 09 2000 Bishop Clark (LC957) <bishop@platypus.bc.ca>
- tossed in a default cfg file.

* Fri May 06 2000 Bishop Clark (LC957) <bishop@platypus.bc.ca>
- Did Spec file, compilation, prep for export to another system.
